Subject: 23.0.91; emacs-snapshot20090308: epa can not save .gpg buffer

From: [email-masked]
Date: Tue, 10 Mar 2009 21:43:58 +0100

I opened a buffer, named testing.gpg. I entered some text and tried 
to save it to disk. I got the message:
   Saving file /home/username/testing.gpg...
   byte-code: Opening output file: integer-or-marker-p, nil
The buffer was not saved.

I tried several setups: 
(require 'epa-setup) (require 'epa-file) (epa-file-enable)
(require 'epa) (epa-file-enable)
and "emacs -Q".

Nothing worked.

Output "M-x toggle-debug-on-error":

Debugger entered--Lisp error: (file-error "Opening output file" integer-or-marker-p nil)
  signal(file-error ("Opening output file" integer-or-marker-p nil))
  byte-code("Ä	\"‰ƒ
  epa-file-write-region(nil nil "/home/username/testing.gpg" nil t)
  apply(epa-file-write-region (nil nil "/home/username/testing.gpg" nil t))
  epa-file-handler(write-region nil nil "/home/username/testing.gpg" nil t)
  write-region(nil nil "/home/username/testing.gpg" nil t "~/testing.gpg")
  basic-save-buffer-2()
  basic-save-buffer-1()
  basic-save-buffer()
  save-buffer(1)
  call-interactively(save-buffer nil nil)

In GNU Emacs 23.0.91.1 (i486-pc-linux-gnu, GTK+ Version 2.12.11)
 of 2009-03-09 on elegiac, modified by Debian
 (emacs-snapshot package, version 1:20090308-1~lenny1)
Windowing system distributor `The X.Org Foundation', version 11.0.10402000
configured using `configure  '--build' 'i486-linux-gnu' '--host' 'i486-linux-gnu' '--prefix=/usr' '--sharedstatedir=/var/lib' '--libexecdir=/usr/lib' '--localstatedir=/var' '--infodir=/usr/share/info' '--mandir=/usr/share/man' '--with-pop=yes' '--enable-locallisppath=/etc/emacs-snapshot:/etc/emacs:/usr/local/share/emacs/23.0.91/site-lisp:/usr/local/share/emacs/site-lisp:/usr/share/emacs/23.0.91/site-lisp:/usr/share/emacs/site-lisp' '--with-x=yes' '--with-x-toolkit=gtk' 'build_alias=i486-linux-gnu' 'host_alias=i486-linux-gnu' 'CFLAGS=-DDEBIAN -DSITELOAD_PURESIZE_EXTRA=5000 -g -O2' 'LDFLAGS=-g -Wl,--as-needed' 'CPPFLAGS=''

Important settings:
  value of $LC_ALL: nil
  value of $LC_COLLATE: nil
  value of $LC_CTYPE: nil
  value of $LC_MESSAGES: nil
  value of $LC_MONETARY: nil
  value of $LC_NUMERIC: nil
  value of $LC_TIME: nil
  value of $LANG: de_DE.UTF-8
  value of $XMODIFIERS: nil
  locale-coding-system: utf-8-unix
  default-enable-multibyte-characters: t

Major mode: Info

Minor modes in effect:
  shell-dirtrack-mode: t
  erc-list-mode: t
  erc-menu-mode: t
  erc-autojoin-mode: t
  erc-ring-mode: t
  erc-networks-mode: t
  erc-pcomplete-mode: t
  erc-track-mode: t
  erc-track-minor-mode: t
  erc-match-mode: t
  erc-button-mode: t
  erc-fill-mode: t
  erc-stamp-mode: t
  erc-netsplit-mode: t
  desktop-save-mode: t
  show-paren-mode: t
  erc-irccontrols-mode: t
  erc-noncommands-mode: t
  erc-move-to-prompt-mode: t
  erc-readonly-mode: t
  server-mode: t
  tooltip-mode: t
  mouse-wheel-mode: t
  file-name-shadow-mode: t
  global-font-lock-mode: t
  font-lock-mode: t
  global-auto-composition-mode: t
  auto-composition-mode: t
  auto-encryption-mode: t
  auto-compression-mode: t
  line-number-mode: t
  transient-mark-mode: t

Recent input:
<down> <down> <down> <down> M-x t o g g l e - d e b 
u g SPC o SPC e r r SPC <return> C-x C-f <backspace> 
t e s t . g p g <return> l a C-x k <return> C-x C-f 
t e <backspace> <backspace> <backspace> t e s t i n 
g . g p g <return> l a l e l u C-x C-s C-x o C-x k 
<return> y G o t <backspace> <backspace> <backspace> 
O k a y , SPC t o g g l e - d e b u g - o n - e r o 
r <backspace> <backspace> r o r SPC d o n e , SPC g 
o t SPC a <backspace> t h e SPC b a c k t r a c e . 
SPC N o w SPC i t s SPC t i m e SPC t o SPC f i n d 
SPC o u t SPC <backspace> , SPC h o w SPC t o SPC <backspace> 
<backspace> <backspace> <backspace> <backspace> <backspace> 
<backspace> w h a t SPC e l s e <backspace> <backspace> 
<backspace> <backspace> <backspace> <backspace> <backspace> 
<backspace> <backspace> <backspace> <backspace> <backspace> 
<backspace> <backspace> <backspace> <backspace> <backspace> 
<backspace> <backspace> <backspace> <backspace> <backspace> 
<backspace> <backspace> <backspace> <backspace> <backspace> 
<backspace> <backspace> <backspace> <backspace> <backspace> 
<backspace> <backspace> <backspace> C-a C-k C-x 1 C-h 
i C-s e m a c s <return> C-h r i b u g <return> . . 
. . . . / . . C-x b <return> C-x b e m <return> / <backspace> 
. <backspace> , <backspace> C-h r i b u g <return> 
, <prior> <prior> <prior> <prior> <prior> <prior> SPC 
<backspace> M-x r e p o r t SPC e m SPC b u g <return>

Recent messages:
uncompressing emacs-6.gz...done
Found `--debug-init' in Option Index.  (15 total; use `,' for next)
Mark set [8 times]
uncompressing emacs-1.gz...done
uncompressing emacs-7.gz...done
uncompressing emacs-7.gz...done
uncompressing emacs-8.gz...done
uncompressing emacs-6.gz...done
Found `--debug-init' in Option Index.  (15 total; use `,' for next)
Found `debug_print' in Command Index.  (15 total; use `,' for next)